Bug 223140 - sysutils/py-diffoscope: Update to 88
Summary: sysutils/py-diffoscope: Update to 88
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL: https://reviews.freebsd.org/D12970
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-21 00:45 UTC by Ed Maste
Modified: 2017-11-07 16:42 UTC (History)
2 users (show)

See Also:


Attachments
update diffoscope to v87 (943 bytes, patch)
2017-10-21 00:45 UTC, Ed Maste
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2017-10-21 00:45:58 UTC
Created attachment 187339 [details]
update diffoscope to v87

portlint & poudriere testport clean.
make test has a small number of failures, as have previous updates. they should be investigated but does not warrant holding off on the update.

tests/comparators/test_device.py:59: AssertionError
tests/comparators/test_device.py:68: AssertionError
tests/comparators/test_elf.py:66: AssertionError
tests/comparators/test_elf.py:106: AssertionError
tests/comparators/test_rlib.py:57: AssertionError
tests/comparators/test_rlib.py:63: IndexError
tests/comparators/test_rlib.py:72: IndexError
tests/comparators/test_rlib.py:80: IndexError
tests/comparators/test_rlib.py:96
tests/utils/nonexisting.py:32: AssertionError
Comment 1 Guangyuan Yang freebsd_committer 2017-10-21 13:14:30 UTC
(In reply to Ed Maste from comment #0)

I found both old and new failed tests in this release. I think after the last release with our patches committed upstream, diffoscope still has some problems using external tools that act somewhat differently than those on Linux. Anyway I will look into it and update that PR about failed tests.
Comment 2 Ed Maste freebsd_committer 2017-11-05 20:01:06 UTC
v88 has been released while waiting for approval
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-11-06 01:46:00 UTC
Updated patch to 88 required
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-11-06 01:46:50 UTC
Comment on attachment 187339 [details]
update diffoscope to v87

v88 released.

Please submit change as a review with a well-formed commit log message (and adding review URL to URl field here)
Comment 5 commit-hook freebsd_committer 2017-11-06 12:28:41 UTC
A commit references this bug:

Author: ygy
Date: Mon Nov  6 12:28:20 UTC 2017
New revision: 453613
URL: https://svnweb.freebsd.org/changeset/ports/453613

Log:
  sysutils/py-diffoscope: Update to 88

  PR:		223140
  Approved by:	koobs (maintainer)
  Differential Revision:	D12970

Changes:
  head/sysutils/py-diffoscope/Makefile
  head/sysutils/py-diffoscope/distinfo
Comment 6 Ed Maste freebsd_committer 2017-11-07 16:42:58 UTC
Thanks koobs and ygy.